CREATE TABLE delivery_modes
(
    id          BIGINT GENERATED BY DEFAULT AS IDENTITY NOT NULL,
    name        VARCHAR(255)                            NOT NULL,
    description VARCHAR(255),
    slots VARCHAR(255)                            NOT NULL,
    CONSTRAINT pk_delivery_modes PRIMARY KEY (id)
);

ALTER TABLE delivery_modes
    ADD CONSTRAINT uc_delivery_modes_name UNIQUE (name);

INSERT INTO delivery_modes (name, description, slots)
VALUES ('DRIVE', 'You collect the goods by yourself', '9:17');
INSERT INTO delivery_modes (name, description, slots)
VALUES ('DELIVERY', 'Delivery in the selected date within the selected time slot', '9:11|11:13|13:15|15:17');
INSERT INTO delivery_modes (name, description, slots)
VALUES ('DELIVERY_TODAY', 'Delivery today within the selected time slot', '9:11|11:13|13:15|15:17');
INSERT INTO delivery_modes (name, description, slots)
VALUES ('DELIVERY_ASAP', 'Delivery today within the slot which include the time of order', '9:11|11:13|13:15|15:17');